@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap');

:root{
  --header-height: 3rem;
  --hue-color: 340;

  /* HSL color mode */
  --first-color: hsl(var(--hue-color), 69%, 61%);
  --first-color-second: hsl(var(--hue-color), 69%, 61%);
  --first-color-alt: hsl(var(--hue-color), 57%, 53%);
  --first-color-lighter: hsl(var(--hue-color), 92%, 85%);
  --title-color: hsl(var(--hue-color), 8%, 15%);
  --text-color: hsl(var(--hue-color), 8%, 45%);
  --text-color-light: hsl(var(--hue-color), 8%, 65%);
  --input-color: hsl(var(--hue-color), 70%, 96%);
  --body-color: hsl(var(--hue-color), 60%, 99%);
  --container-color: #FFF;
  --scroll-bar-color: hsl(var(--hue-color), 12%, 90%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 80%);



  --body-font: 'Poppins', sans-serif;

  --big-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1.125rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  --font-medium: 500;
  --font-semi-bold:600;

  --mb-0-25: .25rem;
  --mb-0-5: .5rem;
  --mb-0-75: .75rem;
  --mb-1: 1rem;
  --mb-1-5: 1.5rem;
  --mb-2: 2rem;
  --mb-2-5: 2.5rem;
  --mb-3: 3rem;

  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 100;
}

/* font size for large devices */
@media screen and (min-width: 968px) {
  :root{
    --big-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}

/*============= Variables Dark theme ============*/

body.dark-theme{
  /* HSL color mode */
  --first-color-second: hsl(var(--hue-color), 30%, 8%);
  --title-color: hsl(var(--hue-color), 8%, 95%);
  --text-color: hsl(var(--hue-color), 8%, 75%);
  --input-color: hsl(var(--hue-color), 29%, 16%);
  --body-color: hsl(var(--hue-color), 28%, 12%);
  --container-color: hsl(var(--hue-color), 29%, 16%);
  --scroll-bar-color: hsl(var(--hue-color), 12%, 48%);
  --scroll-thumb-color: hsl(var(--hue-color), 12%, 36%);
}

/*============= Button Dark/Light ============*/

.nav__btns{
  display: flex;
  align-items: center;
}
.change-theme{
  font-size: 1.25rem;
  color: var(--title-color);
  margin-right: var(--mb-1);
  cursor: pointer;
}
.change-theme:hover{
  color: var(--first-color);
}
/*============= Base ============*/

*{
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}
html{
  scroll-behavior: smooth;
}
body{
  margin: var(--header-height) 0 0 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
  overflow-x: hidden;
}
h1,h2,h3,h4{
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

ul{
  list-style: none;
}
a{
  text-decoration: none;
}
button{
  border: none;
  outline: none;
  cursor: pointer;
  font-family: var(--body-font);
  font-size: 1rem;
}
img{
  max-width: 100%;
  height: auto;
}

/*========== Reusable CSS classes =========*/

.section{
  padding: 4rem 0 2rem;
}
.section__title{
  font-size: var(--h1-font-size);
  color: var(--first-color);
}
.section__subtitle{
  display: block;
  font-size: var(--small-font-size);
  margin-bottom: var(--mb-3);
}
.section__title,
.section__subtitle{
  text-align: center;
}

/*============ Layout ===============*/
.container{
  max-width: 768px;
  margin-left: var(--mb-1-5);
  margin-right: var(--mb-1-5);
}
.grid{
  display: grid;
  gap: 1.5rem;
}
.header{
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
  transition: .5s;
}

/*============== Nav ============*/
.nav{
  max-width: 968px;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media screen and (max-width: 767px) {
  .nav__menu {
    position: fixed;
    background-color: var(--container-color);
    box-shadow: 0px 2px 6px hsla(45, 100%, 15%, 0.15);
    padding: 2.5rem 0;
    width: 90%;
    top: -100%;
    left: 0;
    right: 0;
    margin: 0 auto;
    transition: .4s;
    border-radius: 2rem;
    z-index: var(--z-fixed);
  }
}
.nav__list {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 1.5rem;
}
.nav__link,
.nav__toggle {
  color: var(--title-color);
  font-weight: var(--font-medium);
}
.nav__logo{
  color: var(--title-color);
  text-transform: uppercase;
  font-weight: 700;
  display: inline-flex;
  align-items: center;
  column-gap: .4rem;
  transition: .3s;
}
.nav__logo-icon{
  font-size: 1.20rem;
  color: var(--first-color);
}
.nav__logo:hover{
  color: var(--first-color);
}
.nav__toggle {
  font-size: 1.2rem;
  cursor: pointer;
}
.nav__toggle:hover{
  color: var(--first-color);
}
/*============= show menu ===============*/
.show-menu {
  top: calc(var(--header-height) + 1rem);
}

 /*============== Active link ===========*/
.active-link{
  position: relative;
  color: var(--first-color);
}
.active-link::after{
  content: '';
  position: absolute;
  bottom: -.5rem;
  left: 0;
  width: 90%;
  height: 2px;
  background-color: var(--first-color);
}

/*========== change background header =============*/
.scroll-header {
  box-shadow: 0px 0px 10px rgb(0 0 0 / 10%);
}

/*============== Home ===============*/

.home__container{
  gap: 1rem;
}
.home__content{
  grid-template-columns: .5fr 3fr;
  padding-top: 3.5rem;
  align-items: center;
}
.home__social{
  display: grid;
  grid-template-columns: max-content;
  row-gap: 1rem;
}
.home__social-icon{
  font-size: 1.25rem;
  color: var(--first-color);
}
.home__social-icon:hover{
  color: var(--title-color);
}
.home__perfil{
  width: 300px;
}
.home__data{
  grid-column: 1/3;
}
.home__title{
  font-size: var(--big-font-size);
}
.home__title-color{
  color: var(--first-color);
}

.home__subtitle{
  font-size: var(--h3-font-size);
  color: var(--text-color);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-0-75);
}
.home__description{
  margin-bottom: var(--mb-2);
}
.home__scroll{
  display: none;
}
.home__scroll-button{
  color: var(--first-color);
  transition: .3s;
}
.home__scroll-button:hover{
  transform: translateY(.25rem);
}
.home__scroll-mouse{
  font-size: 2rem;
}
.home__scroll-name{
  font-size: var(--small-font-size);
  color: var(--title-color);
  font-weight: var(--font-medium);
  margin-right: var(--mb-0-25);
}
.home__scroll-arrow{
  font-size: 1.25rem;
}

/*============== buttons ================*/

.button{
  display: inline-block;
  background-color: var(--first-color);
  color: #FFF;
  padding: 1rem;
  border-radius: .5rem;
  font-weight: var(--font-medium);
}
.button:hover{
  background-color: var(--first-color-alt);
}
.button__icon{
  font-size: 1.25rem;
  margin-left: var(--mb-0-5);
  transition: .3s;
}
.button:hover .button__icon{
  transform: translateX(.25rem);
}
.button--white{
  background-color: #FFF;
  color: var(--first-color);
}
.button--white:hover{
  background-color: #FFF;
}
.button--flex{
  display: inline-flex;
  align-items: center;
}
.button--small{
  padding: .75rem 1rem;
}
.button--link{
  padding: 0;
  background-color: transparent;
  color: var(--first-color);
}
.button--link:hover{
  background-color: transparent;
  color: var(--first-color-alt);
}
.services__button,
.portfolio__button{
  cursor: pointer;
  font-size: var(--small-font-size);
}
.contact__button{
  cursor: pointer;
}
.services__button:hover .button__icon,
.portfolio__button:hover .button__icon{
  transform: translateX(.25rem);
}
/*=============== about ================*/

.about__img{
  width: 300px;
  justify-self: center;
}

.about__description{
  text-align: center;
  margin-bottom: var(--mb-2-5);
}
.about__info{
  display: flex;
  justify-content: space-evenly;
  margin-bottom: var(--mb-2-5);
}
.about__info-title{
  font-size: var(--h2-font-size);
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
}
.about__info-name{
  font-size: var(--smaller-font-size);
}
.about__info-title,
.about__info-name{
  display: block;
  text-align: center;
}


/*==================== Skills =================*/

.skills__container{
  row-gap: 0;
}
.skills__header{
  display: flex;
  align-items: center;
  margin-bottom: var(--mb-2-5);
}
.skills__icon{
  font-size: 2rem;
  color: var(--first-color);
  margin-right: var(--mb-0-75);
}
.skills__title{
  margin-top: .7rem;
  font-size: var(--h3-font-size);
}
.skills__subtitle{
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}
.skills__list{
  row-gap: .5rem;
  padding-left: 2.7rem;
  margin-bottom: 2rem;
}
.skills__data{
  background: var(--container-color);
  box-shadow: 0px 0px 20px rgb(0 0 0 / 10%);
  padding: 17px;
  border-radius: 6px;
  transition: .3s ease
}
.skills__data:hover{
  transform: scale(1.03);
}
.skills__titles{
  display: flex;
  justify-content: space-between;
  margin-bottom: var(--mb-0-5);
}
.skills__name{
  font-size: var(--normal-font-size);
  font-weight: var(--font-medium);
}
.skills__bar,
.skills__percentage{
  border-radius: .25rem;
}
.skills__bar{
  background-color: var(--first-color-lighter);
  width: 100%;
  height: 5px;
  position: relative;
  overflow: hidden;
}
.skills__percentage{
  position: absolute;
  width: 0%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: var(--first-color);
  transition: 1s;
}


/* ================ Services =============== */

.services__container{
  grid-template-columns: max-content;
  justify-content: center;
}
.services__content{
  display: grid;
  row-gap: 2rem;
  background-color: var(--container-color);
  padding: 2rem 4rem;
  border-radius: 1rem;
  outline: .1rem solid var(--first-color-lighter);
  outline-offset: -.5rem;
  align-items: center;
  justify-content: center;
  text-align: center;
  box-shadow: 0px 2px 6px hsla(45, 100%, 15%, 0.15);
  transition: .4s;
}
.services__content:hover{
  box-shadow: 0 4px 8px rgba(0,0,0,.15);
}
.services__content img{
  width: 60px;
  justify-self: center;
  margin-bottom: var(--mb-1);
  transition: 0.4s;
}
.services__content:hover img{
  transform: scale(1.15);
}
.services__title{
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
}
.services__button{
  cursor: pointer;
  padding: 1rem;
  font-size: var(--small-font-size);
}

.services__modal{
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,.5);
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 1rem;
  z-index: var(--z-modal);
  opacity: 0;
  visibility: hidden;
  transition: .3s;
}
.services__modal-content{
  position: relative;
  background-color: var(--container-color);
  outline: .1rem solid var(--first-color-lighter);
  outline-offset: -.5rem;
  padding: 1.5rem;
  border-radius: 1rem;
  transform: translateY(-50px);
  transition: .5s ease;
}
.active-modal .services__modal-content{
  transform: translateY(0);
}
.services__modal-services{
  row-gap: 1rem;
}
.services__modal-service{
  display: flex;
}
.services__modal-title{
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-bottom: var(--mb-1-5);
}
.services__modal-close{
  position: absolute;
  top: 1rem;
  right: 1rem;
  font-size: 1.5rem;
  color: var(--first-color);
  cursor: pointer;
}
.services__modal-subtitle{
  font-size: var(h3-font-size);
  color: var(--text-color);
}
.services__modal-icon{
  color: var(--first-color);
  margin-right: var(--mb-0-25);
}

/*============ Active Modal ===========*/

.active-modal{
  opacity: 1;
  visibility: visible;
}

/* ================ Portfolio =============== */

.portfolio__container{
  overflow: initial;
}
.portfolio__content{
  padding: 0 5rem;
  text-align: center;
}
.portfolio__img{
  width: 265px;
  border-radius: .75rem;
  justify-self: center;
}
.portfolio__title{
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-0-5);
}
.portfolio__description{
  margin-bottom: var(--mb-0-75);
}

/*============ Swiper Class ===========*/

.portfolio__container .swiper-slide{
  margin-bottom: 4.5rem;
}
.portfolio__container .swiper-pagination-bullets{
  bottom: 0;
}
.portfolio__container .swiper-pagination-bullet{
  background-color: var(--first-color-lighter);
  opacity: initial;
}
.portfolio__container .swiper-pagination-bullet-active{
  background-color: var(--first-color);
}

/* ============= Project in mind ====================== */

.project__bg{
  background-color: var(--first-color-second);
  padding-top: 3rem;
}
.project__title{
  font-size: var(--h2-font-size);
  margin-bottom: var(--mb-1-5);
}
.project__descriptions{
  row-gap: 1rem;
  margin-bottom: var(--mb-1-5);
}
.project__description{
  display: flex;
  align-items: center;
}
.project__icon{
  font-size: 1rem;
  margin-right: var(--mb-0-25)
}
.project__title,
.project__description{
  color: #FFF;
}
.project__img{
  width: 250px;
  justify-self: center;
}

/*================== Contact Me ==================*/

.contact__container{
  row-gap: 3rem;
}
.contact__information{
  display: flex;
  margin-bottom: var(--mb-2);
}
.contact__icon{
  font-size: 2rem;
  color: var(--first-color);
  margin-right: var(--mb-0-75);
}
.contact__title{
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  margin-top: var(--mb-0-5);
}
.contact__subtitle{
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}
.contact__content{
  position: relative;
  background: var(--body-color);
  border: 2px solid var(--text-color);
  border-radius: 1.5rem;
  padding: .75rem 1.5rem .25rem;
}
.contact__content textarea{
  resize: none;
}
.contact__label{
  position: absolute;
  top: -0.9rem;
  left: 2rem;
  padding: 0 0.4rem;
  font-size: var(--normal-font-size);
  color: var(--title-color);
  background-color: var(--body-color);
  z-index: 500;
}
.contact__input{
  width: 100%;
  background-color: var(--body-color);
  color: var(--first-color);
  font-family: var(--body-font);
  font-size: var(--smaller-font-size);
  border: none;
  outline: none;
  padding: .25rem .5rem .5rem 0;
}


/*============== Footer =================*/

.footer{
  padding-top: 2rem;
}
.footer__container{
  row-gap: 3.5rem;
}
.footer__bg{
  background-color: var(--first-color-second);
  padding: 2rem 0 3rem;
}
.footer__logo{
  display: flex;
  align-items: center;
  column-gap: .5rem;
  font-size: var(--h1-font-size);
  margin-bottom: var(--mb-0-25);
  text-transform: uppercase;
  font-weight: 700;
  margin-bottom: var(--mb-1);
  transition: .3s;
}
.footer__logo-icon{
  font-size: 1.7rem;
  color: #FFF;
}
.footer__subtitle{
  font-size: var(--small-font-size);
}
.footer__links{
  display: flex;
  flex-direction: column;
  row-gap: 1.5rem;
}
.footer__link:hover{
  color: var(--title-color);
  text-decoration: underline;
}
.footer__text{
  display: flex;
  font-size: var(--normal-font-size);
  color: #FFF;
  margin-bottom: var(--mb-0-5);
}
.footer__social{
  font-size: 1.25rem;
  margin-right: var(--mb-1);
}
.footer__logo:hover,
.footer__social:hover{
  color: var(--title-color);
}
.footer__copy{
  font-size: var(--smaller-font-size);
  text-align: center;
  color: var(--title-color);
  margin-top: var(--mb-3);
}
.footer__logo,
.footer__subtitle,
.footer__link,
.footer__social,
.footer__copy span{
  color: #FFF;
}

/*=========== Scroll Top ============ */

.scrollup{
  position: fixed;
  right: 1rem;
  bottom: -20%;
  background-color: var(--first-color);
  opacity: .8;
  padding: 0 .3rem;
  border-radius: .4rem;
  z-index: var(--z-tooltip);
  transition: .4s;
}
.scrollup:hover{
  background-color: var(--first-color-alt);
}
.scrollup__icon{
  font-size: 1.5rem;
  color: #FFF;
}

/*  show scroll */

.show-scroll{
  bottom: 5rem;
}

/* scroll Bar */
::-webkit-scrollbar{
  width: .60rem;
  background-color: var(--scroll-bar-color);
  border-radius: .5rem;
}
::-webkit-scrollbar-thumb{
  background-color: var(--scroll-thumb-color);
  border-radius: .5rem;
}
::-webkit-scrollbar-thumb:hover{
  background-color: var(--text-color-light);
}

/*============= Media Queries ===============*/

/* for small devices */
@media screen and (max-width: 350px){
  .container{
    margin-left: var(--mb-1);
    margin-right: var(--mb-1);
  }
  .home__content{
    grid-template-columns: .25fr 3fr;
  }
  .skills__title{
    font-size: var(--normal-font-size);
  }
  .skills__list{
    padding-left: 0;
  }
  .services__container{
    grid-template-columns: max-content;
    justify-content: center;
  }
  .services__content{
    padding: 2rem 3rem;
  }
  .services__modal{
    padding: 0 .5rem;
  }
  .portfolio__content{
    padding: 0 1.5rem;
  }
  .portfolio__container .swiper-button-prev{
    left: -.1rem;
    top: 10.5rem;
  }
  .portfolio__container .swiper-button-next{
    right: -.1rem;
    top: 10.5rem;
  }
  .project__img{
    width: 200px;
  }
}

/* for medium devices */
@media screen and (min-width: 568px){
  .home__content{
    grid-template-columns: max-content 1fr 1fr;
  }
  .home__data{
    grid-column: initial;
  }
  .home__blob{
    order: 1;
  }
  .about__description{
    text-align: initial;
  }
  .about__container,
  .skills__container,
  .services__container,
  .portfolio__content,
  .project__container,
  .contact__container,
  .footer__container{
    grid-template-columns: repeat(2, 1fr);
  }
  .portfolio__content{
    padding: 0 2rem;
    text-align: left;
  }
  .portfolio__title{
    margin-top: 2rem;
  }
  .project__container{
    padding: 3rem 2.5rem;
  }
}

@media screen and (min-width: 768px){
  body{
    margin: 0;
  }
  .container{
    margin-left: auto;
    margin-right: auto;
  }
  .section{
    padding: 7rem 0 2rem;
  }
  .section__subtitle{
    margin-bottom: 4rem;
  }
  .header,
  .main,
  .footer__container{
    padding: 0 1rem;
  }
  .nav {
    height: calc(var(--header-height) + 1.5rem);
    column-gap: 1rem;
  }
  .nav__menu {
    margin-left: auto;
  }
  .nav__list {
    flex-direction: row;
    column-gap: 2rem;
  }
  .nav__toggle {
    display: none;
  }
  .home__container{
    row-gap: 5rem;
  }
  .home__content{
    padding-top: 5.5rem;
    column-gap: 2rem;
  }
  .home__perfil {
    width: 400px;
  }
  .about__container{
    gap: 3rem;
  }
  .about__img{
    width: 400px;
  }
  .about__info{
    justify-content: space-between;
  }
  .about__buttons{
    justify-content: initial;
  }
  .services__container{
    grid-template-columns: repeat(3, 1fr);
  }
  .services__content{
    padding: 2rem 3rem;
  }
  .services__modal-content{
    width: 450px;
  }
  .portfolio__container{
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2,1fr);
    column-gap: 2rem;
  }
  .portfolio__img{
    width: 320px;
  }
  .portfolio__content{
    align-items: center;
  }
  .portfolio__content.grid{
    gap: 3rem;
  }
  .portfolio__modal-body{
    padding: 2rem;
  }
  .portfolio__modal-body .portfolio__modal-video{
    width: 400px;
  }
  .project{
    text-align: initial;
  }
  .project__bg{
    background: none;
  }
  .project__container{
    background-color: var(--first-color-second);
    border-radius: 1rem;
    grid-template-columns: 1fr max-content;
    column-gap: 3rem;
  }
  .project__data{
    padding-top: .8rem;
  }
  .footer__container{
    grid-template-columns: repeat(3, 1fr);
  }
  .footer__bg{
    padding: 3rem 0 3.5rem;
  }
  .footer__logo-icon{
    font-size: 2.15rem;
  }
  .footer__links{
    flex-direction: row;
    column-gap: 2rem;
  }
  .footer__socials{
    justify-self: flex-end;
  }
  .footer__copy{
    margin-top: 4.5rem;
  }
}

/* for large devices */

@media screen and (min-width: 1024px){
  .header,
  .main,
  .footer__container{
    padding: 0;
  }
  .home__blob{
    width: 220px;
    height: 320px;
  }
  .home__social{
    transform: translateX(-6rem);
  }
  .contact__form{
    width: 460px;
  }
}
